#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xfce4-power-manager
Version		:	1.7.0
Release		:	14.8.0.0%{?dist}

Summary		:	Power management for the Xfce desktop environment
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://archive.xfce.org/src/xfce/xfce4-power-manager

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	garcon
BuildRequires	:	libxfce4ui
BuildRequires	:	upower-glib
BuildRequires	:	upower-devel

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
#-----------------------------------------------------------------------------
%description
%{name} is a power manager for the Xfce desktop, Xfce power manager
manages the power sources on the computer and the devices that can
be controlled to reduce their power consumption (such as LCD brightness
level, monitor sleep). 
In addition, xfce4-power-manager provides a set of freedesktop-compliant
DBus interfaces to inform other applications about current power level
so that they can adjust their power consumption.

%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--sysconfdir=%{_sysconfdir}			\
	--libdir=%{_libdir}				\
	--libexecdir=%{_libexecdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}*
%{_sbindir}/xfce4-pm-helper
%{_sbindir}/xfpm-power-backlight-helper
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_libdir}/xfce4/panel/plugins/lib*.so
%{_datadir}/icons/hicolor/*/status/*.png
%{_datadir}/icons/hicolor/scalable/status/*.svg
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}-settings.desktop
%{_datadir}/xfce4/panel/plugins/power-manager-plugin.desktop
%{_datadir}/polkit-1/actions/org.xfce.power.policy
%{_mandir}/man1/*.1.gz

#-------------------------------------------------------------------
%post
/usr/sbin/ldconfig
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor

#-------------------------------------------------------------------
%postun
/usr/sbin/ldconfig
if [ $1 -eq 0 ] ; then
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor
  fi
#-------------------------------------------------------------------

%changelog
